Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.graph.query
Class Expression.Fixed

    java.lang.Object
      com.hp.hpl.jena.graph.query.Expression.Base
          com.hp.hpl.jena.graph.query.Expression.Constant
              com.hp.hpl.jena.graph.query.Expression.Fixed

All Implemented Interfaces:
  Expression

Enclosing interface:
  Expression

    public static class Expression.Fixed

extends Expression.Constant

A concrete class for representing fixed constants; each instance can hold a separate value and its valuator returns that value.

Nested Class Summary

Nested classes/interfaces inherited from interface com.hp.hpl.jena.graph.query.Expression
`Expression.Application, Expression.Base, Expression.BoolConstant, Expression.Constant, Expression.Fixed, Expression.Util, Expression.Valof, Expression.Variable`

Field Summary

Fields inherited from interface com.hp.hpl.jena.graph.query.Expression
`FALSE, TRUE`

Constructor Summary
`Expression.Fixed(java.lang.Object value)`

Method Summary
`java.lang.Object` | `getValue()` If this Expression is a literal, answer the value of that literal.
`Valuator` | `prepare(VariableIndexes vi)` Answer a Valuator which, when run with a set of index-to-value bindings, evaluates this expression in the light of the given variable-to-index bindings [ie as though the variables were bound to the corresponding values]
`java.lang.String` | `toString()`

Methods inherited from class com.hp.hpl.jena.graph.query.Expression.Constant
`isConstant`

Methods inherited from class com.hp.hpl.jena.graph.query.Expression.Base
`argCount, equals, getArg, getFun, getName, isApply, isVariable`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Expression.Fixed

    public Expression.Fixed(java.lang.Object value)

Method Detail

### getValue

    public java.lang.Object getValue()

  Description copied from interface: `Expression`
  If this Expression is a literal, answer the value of that literal. Otherwise the behaviour is unspecified.

  Specified by:
    `getValue` in interface `Expression`
  Specified by:
    `getValue` in class `Expression.Constant`

### prepare

    public Valuator prepare(VariableIndexes vi)

  Description copied from interface: `Expression`
  Answer a Valuator which, when run with a set of index-to-value bindings, evaluates this expression in the light of the given variable-to-index bindings [ie as though the variables were bound to the corresponding values]

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP